@charset "UTF-8";

/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/*NÃO PERMITE ROLAGEM*/
::-webkit-scrollbar {
    width: 0;
    height: 0;
}

/* BODY GERAL */
body {
    width: 100%;
    min-height: 100vh;
    background-image: radial-gradient(circle at 17% 77%, rgba(17, 17, 17,0.04) 0%, rgba(17, 17, 17,0.04) 50%,rgba(197, 197, 197,0.04) 50%, rgba(197, 197, 197,0.04) 100%),radial-gradient(circle at 26% 17%, rgba(64, 64, 64,0.04) 0%, rgba(64, 64, 64,0.04) 50%,rgba(244, 244, 244,0.04) 50%, rgba(244, 244, 244,0.04) 100%),radial-gradient(circle at 44% 60%, rgba(177, 177, 177,0.04) 0%, rgba(177, 177, 177,0.04) 50%,rgba(187, 187, 187,0.04) 50%, rgba(187, 187, 187,0.04) 100%),linear-gradient(19deg, rgb(28, 117, 250),rgb(34, 2, 159));
    color: #fff;
    font-family: 'Arial', sans-serif;

    display: flex;
    flex-direction: column;
    align-items: center;
}

/* CABEÇALHO */
.cabecalho {
    width: 100%;
    background-image: linear-gradient(to right, #141e30, #243b55);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
    padding: 1.5em;
    border-bottom: 2px solid #00ffd5;
}

.cabecalho img {
    width: 120px;
    border-radius: 50%;
    margin-bottom: 10px;
    box-shadow: 0px 0px 10px #00ffd5;
}

h1 {
    font-size: 1.4em;
    margin-bottom: 4px;
}

h2 {
    font-size: 1em;
    color: #00ffff;
    margin-bottom: 2px;
}

.cabecalho p {
    color: #ddd;
}

/* TELEFONE - ÁREA CENTRAL */
#telefone {
    width: 100%;
    max-width: 311px;
    min-height: 627px;
    background: url('../assets/fundos/frame-iphone.png') no-repeat;
    background-size: cover;
    padding: 1em;
    margin: 1.5em 0;
    border-radius: 2rem;

    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
}
/*CONTEÚDO DENTRO DO TELEFONE*/
#conteudo {
    width: 96%;
    height: 100%;
    background: url('../assets/fundos/fundo-degrade.png') no-repeat;
    background-size: cover;
    font-size: 0.95em;
    text-align: justify;
    line-height: 1.4em;
    padding: 4.4em 8px 1.6em 8px;
    overflow-y: auto;

    display: flex;
    flex-direction: column;
    gap: 1em;
}

/* LINKS SOCIAIS */
.icones-cima,
.icones-baixo {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    margin: 2em 0;
}

.icones-cima img,
.icones-baixo img {
    width: 48px;
    height: 48px;
    background-color: white;
    border-radius: 50%;
    cursor: pointer;
    transition: transform 0.2s ease;
}

.icones-cima img:hover,
.icones-baixo img:hover {
    transform: scale(1.2);
    box-shadow: 0px 0px 6px #00ffd5;
}

.icones-cima img:focus,
.icones-baixo img:focus {
    transform: scale(1.2);
    box-shadow: 0px 0px 6px #00ffd5;
}

/* FOOTER */
footer {
    width: 100%;
    background: linear-gradient(to right, #0f2027, #203a43, #2c5364);
    color: #ccc;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 0.8em;
    text-align: center;
    padding: 1em;
    margin-top: 2em;
    border-top: 2px solid #00ffd5;
    box-shadow: 0px -2px rgba(0, 0, 0, 0.205);
}

footer strong {
    color: white;
}